/* ==== VARIABLES ==== */
:root {
    --primary-text-color: #343a40;
    --highlight-text-color: #fff;
    --facebook-blue-color: #1877F2;
    --main-background-color: #fff;
    --jumbotron-padding-y: 3rem;
    --nav-bar-height: 5.3rem;
}
/* ==== GENERAL ==== */
html {font-size: 10px; }
body {
    font-family: 'Roboto', sans-serif;
    font-style: normal;
    font-weight: 300;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizelegibility;
    font-size: 16px;
    color: var(--primary-text-color);
    background-color: var(--main-background-color);
}
/* ==== FONTS ==== */
h1,
h2,
h3,
h4,
h5{
    font-weight: 300;
}
h1 {
    font-size: 4rem;
}
p {
    line-height: 1.8rem;
    font-size: 1.5rem;
}

/*NAVIGATION*/
.navbar {
    background-color: var(--primary-text-color);
}

.full-height {
    height: calc(100vh - var(--nav-bar-height));
    height: calc((var(--vh, 1vh) * 100) - var(--nav-bar-height));

}

.bg-image {
    height: 100vh;
    background-image: url("../../assets/img/ebx-background.jpeg");
    background-repeat: no-repeat;
    background-size: cover;
    padding: 0;
}

.bg-image .jumbotron-heading {
    color: var(--highlight-text-color);
    font-size: 7rem;
    line-height: 8rem;
    font-weight: 700;
    letter-spacing: 0.25rem;
}

/*POSTS / WALL*/
#wall #wall-header .jumbotron {
    padding-top: var(--jumbotron-padding-y);
    padding-bottom: var(--jumbotron-padding-y);
    margin-bottom: 0;
    background-color: #fff;
}
#wall #wall-header .jumbotron-heading {
    font-weight: 300;
}
#wall #wall-header .jumbotron .container {
    max-width: 40rem;
}
#wall #wall-contents .card {
    margin-bottom: 2rem;
}
#wall #wall-contents .card,
#wall #wall-contents .card .card-img-top {
    border-top-left-radius: 1rem;
    border-top-right-radius: 1rem;
}
#wall #wall-contents .card .card-body .card-title {
    font-size: 1.75rem;
}

#wall #share_dialog .modal-body img {
    border-radius: 0.75rem;
}

/*Loading spinner*/
.lds-ring {
    display: inline-block;
    position: relative;
    width: 40px;
    height: 40px;
    display: none;
}
.lds-ring div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 32px;
    height: 32px;
    margin: 4px;
    border: 4px solid var(--primary-text-color);
    border-radius: 50%;
    animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: var(--primary-text-color) transparent transparent transparent;
}
.lds-ring div:nth-child(1) {
    animation-delay: -0.45s;
}
.lds-ring div:nth-child(2) {
    animation-delay: -0.3s;
}
.lds-ring div:nth-child(3) {
    animation-delay: -0.15s;
}
@keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
/*BUTTONS*/
.btn-primary,
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:not(:disabled):not(.disabled):active {
    color: var(--highlight-text-color);
    border-color: var(--facebook-blue-color);
    background-color: var(--facebook-blue-color);
    font-size: 1.75rem;
}

/*FOOTER*/
.footer {
    background-color: var(--primary-text-color);
    color: var(--highlight-text-color);
}
.footer p {
    margin-bottom: 0;
    padding: 2rem;
}
